{
  "$schema": "https://json.schemastore.org/swcrc",
  "sourceMaps": true,
  "jsc": {
    "parser": {
      "syntax": "typescript",
      "decorators": true,
      "dynamicImport": true
    },
    "transform": {
      "legacyDecorator": true,
      "decoratorMetadata": true
    },
    "baseUrl": "./",
    "paths": {
      "@/*": ["src/*"]
    },
    "target": "es2022",
    "keepClassNames": true
  },
  "module": {
    "type": "commonjs"
  },
  "exclude": ["^node_modules/", "^dist/"]
}
